use serde::{Deserialize, Serialize};
use strum_macros::IntoStaticStr;

#[derive(Debug, Serialize, Deserialize, IntoStaticStr)]
#[strum(serialize_all = "snake_case")]
#[serde(rename_all = "snake_case")]
pub enum MetricsLabel {
    BridgeBandwidth,
    BwFileDescBwAvg,
    BwFileDescBwBur,
    BwFileDescBwObsLast,
    BwFileDescBwObsMean,
    BwMean,
    BwMedian,
    ConsensusBandwidth,
    DescBridgeDirreqV3Responses,
    DescBwAdv,
    DescBwAvg,
    DescBwBur,
    DescBwObs,
    DescDirreqV3Bytes,
    DescDirreqV3Status,
    DescRelayDirreqV3Responses,
    DescStatus,
    DirreqReadBandwidthHistory,
    DirreqWriteBandwidthHistory,
    ErrorCirc,
    ErrorDestination,
    ErrorMisc,
    ErrorSecondRelay,
    ErrorStream,
    Ipv6ReadBandwidthHistory,
    Ipv6WriteBandwidthHistory,
    NetworkExitFraction,
    NetworkExitWeight,
    NetworkFraction,
    NetworkGuardFraction,
    NetworkGuardWeight,
    NetworkMiddleFraction,
    NetworkMiddleWeight,
    NetworkWeight,
    ReadBandwidthHistory,
    RelayBandwidth,
    TotalNetworkExitWeight,
    TotalNetworkGuardWeight,
    TotalNetworkMiddleWeight,
    TotalNetworkWeight,
    WriteBandwidthHistory,
}
